Subject: Re: bug#19404: 25.0.50; Gnus shows self-signed certificate warning when connecting to Gmane

From: David Engster <[email-masked]>
Date: Sun, 21 Dec 2014 18:16:35 +0100

David Engster writes:
> David Engster writes:
>> If a certificate is "self-signed", this means that issuer and subject
>> are the same entity, i.e., the string in there is identical. There are
>> some rules how these strings must be compared. I think(!) that if you
>> simply compare them byte by byte, you should err on the side of
>> safety. But I would assume there is a function for that in GnuTLS that
>> adheres to RFC5280 for comparing such things.
>
> I've asked on the GnuTLS mailing list.

Nick answered, and it's really simple: call gnutls_x509_crt_check_issuer
on the certificate itself (meaning: provide the certificate in question
for both arguments).

-David